<?php

/**
 This project has been generated by nuts generator
 nuts has been made by fahmi sulaiman
 sulaimanfahmi@gmail.com
 */

namespace Helper;
use Base\BaseHelper;
use Model\FamilyModel;

class FamilyHelper extends BaseHelper
{
   // public $alias=[:ALIAS_PROPERTY:];
    //public $relation=[];
    public $model="\Model\FamilyModel";

        public function __construct()
    	{
    		parent::__construct();
    	}

    public function paging($input){
		$model = new FamilyModel();
		$model->paginating($input);
		$model=$model->getPaginate();
		return $model;
		}

    public function show($id){
		$model = new FamilyModel();
		$model=$model->findById($id);
		return $model;
		}

    public function store($input){
		$this->beforeInsert($input["Family"]);
		$model = new FamilyModel($input["Family"]);
		if(!$model->save()){
		throw new \Exception();
		}
		return $model;
		}

    public function delete($id){
		$this->beforeDelete($id);
		$model =FamilyModel::find($id);
		if(!$model->delete()){
		throw new \Exception();		}
		return $model;
		}

    public function update($id,$input){
		$this->beforeUpdate($id,$input);
		$model =FamilyModel::find($id);
		$model->setProperty($input["Family"]);
		if(!$model->update()){
		throw new \Exception();		}
		return $model;
		}

    		public function storeFamily($input){
		$family = new FamilyModel($input["Family"]);
		if(!$family->save()){
		throw new \Exception();
		}
			foreach($input["Familyusers"] as $keyFamilyusers){
				$familyusers=new \Helper\FamilyusersHelper();$familyusers= $familyusers->storeFromFamily($family->id,$keyFamilyusers);
}
		return $family;
		}

    
}